Subject: Re: bug#9470: 24.0.50; Possible bidi-related slowness

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Sep 2011 15:26:06 -0400

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Date: Sat, 10 Sep 2011 20:28:49 +0200
> 
> I just experienced a massively slow Gnus article buffer.  The
> following
> seems to reproduce the problem:
> 
> (progn
>   (pop-to-buffer "lala")
>   (dotimes (i 197000)
>     (insert "* 194624 FETCH (UID 194633 FLAGS (%Seen))\r\n* 194625
>   FETCH (UID 194634 FLAGS (%Seen))\r\n")))
> 
> If I hit `up' after that, Emacs takes about five seconds for each
> cursor
> movement.

Set bidi-paragraph-direction to `left-to-right', and the problem is
gone.

Such buffers should _always_ have bidi-paragraph-direction set like
that.

I'm closing this bug.